Add time of last search index update to Special:Search
Closed, DeclinedPublic

Assigned To
None
Priority
Normal
Author
bzimport
Subscribers
Bennylin, Chad, Tgr, jeremyb
Projects
Reference
bz6090
Description

Author: stanley

Description:
Please add the cache last update timestamp on special:search just like other
special pages (see bug 4327)


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=43553

bzimport set Reference to bz6090.
bzimport created this task.Via LegacyMay 26 2006, 5:48 AM
bzimport added a comment.Via ConduitNov 4 2006, 1:37 PM

rickblock wrote:

Users are frequently curious why their articles don't show up in search. See, for example, http://en.wikipedia.org/wiki/
Wikipedia_talk:Searching#Search_for_article_name_not_yielding_article . Lacking some way to tell when the index was last
rebuilt, the best that can be said (no matter how long it's been since the article was created) is "the index probably hasn't
been rebuilt since then". It would be much better to be able to say "it's not found because the last time the index was
rebuilt was <date>".

bzimport added a comment.Via ConduitNov 4 2006, 1:46 PM

robchur wrote:

This requires us to store this information somewhere in the database, or
otherwise accessible to MediaWiki; search updates are an external process.

Do the Lucene daemons know when their last update was, and if so, could we pull
the information from them upon unsuccessful searches?

bzimport added a comment.Via ConduitNov 4 2006, 3:42 PM

rickblock wrote:

Perhaps a kludge, but aren't the indices in a file someplace whose last changed
time corresponds to when the index was last rebuilt? Or, is the process to kick
off the rebuild a shell that could just put the current time somewhere?

brion added a comment.Via ConduitJul 5 2007, 6:19 PM
  • Bug 7611 has been marked as a duplicate of this bug. ***
siebrand added a comment.Via ConduitAug 17 2008, 8:02 PM

Mass close WONTFIX open Lucene Search issues because extension Lucene Search was removed, and replaced by MWSearch. Please set to REOPENED if behaviour still exists with a another component, and update the domain.

siebrand added a comment.Via ConduitAug 17 2008, 8:18 PM

Mass REOPEN after discussion with Robert. Domain: Wikimedia/lucene-search-2. Assigned to maintainer.

bzimport added a comment.Via ConduitApr 4 2012, 6:46 AM

ForoaW wrote:

Problem still persists and becomes more urgent as several times per month, search don't return any result for more than half an hour, probably because of ongoing search database update.

bzimport added a comment.Via ConduitJan 1 2013, 10:46 AM

ForoaW wrote:

Problem still persists, see https://bugzilla.wikimedia.org/show_bug.cgi?id=43553

Chad added a comment.Via ConduitOct 28 2013, 6:57 PM

Marking this WONTFIX as lsearchd has already reached its end of life.

This isn't an issue at all in Cirrus/Elasticsearch as the index is updated in near real time (a few seconds at most).

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.